# Constant Field Values

## Contents

- helma.framework.*
- helma.image.*
- helma.main.*
- helma.objectmodel.*
- helma.scripting.*
- helma.util.*

## helma.framework.*

helma.framework.RequestTrans
Modifier and Type
Constant Field
Value
`public static final String`
`DELETE`
`"DELETE"`
`public static final String`
`EXTERNAL`
`"EXTERNAL"`
`public static final String`
`GET`
`"GET"`
`public static final String`
`HEAD`
`"HEAD"`
`public static final String`
`INTERNAL`
`"INTERNAL"`
`public static final String`
`OPTIONS`
`"OPTIONS"`
`public static final String`
`POST`
`"POST"`
`public static final String`
`PUT`
`"PUT"`
`public static final String`
`TRACE`
`"TRACE"`
`public static final String`
`XMLRPC`
`"XMLRPC"`

## helma.image.*

helma.image.ColorQuantizer
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_CHILDREN`
`16`
`public static final int`
`MAX_NODES`
`266817`
`public static final int`
`MAX_RGB`
`255`
`public static final int`
`MAX_TREE_DEPTH`
`8`
helma.image.ImageInfo
Modifier and Type
Constant Field
Value
`public static final int`
`COLOR_TYPE_BLACK_AND_WHITE`
`3`
`public static final int`
`COLOR_TYPE_GRAYSCALE`
`2`
`public static final int`
`COLOR_TYPE_PALETTED`
`1`
`public static final int`
`COLOR_TYPE_TRUECOLOR_RGB`
`0`
`public static final int`
`COLOR_TYPE_UNKNOWN`
`-1`
`public static final int`
`FORMAT_BMP`
`3`
`public static final int`
`FORMAT_GIF`
`1`
`public static final int`
`FORMAT_IFF`
`5`
`public static final int`
`FORMAT_JPEG`
`0`
`public static final int`
`FORMAT_PBM`
`7`
`public static final int`
`FORMAT_PCX`
`4`
`public static final int`
`FORMAT_PGM`
`8`
`public static final int`
`FORMAT_PNG`
`2`
`public static final int`
`FORMAT_PPM`
`9`
`public static final int`
`FORMAT_PSD`
`10`
`public static final int`
`FORMAT_RAS`
`6`
`public static final int`
`FORMAT_SWF`
`11`

## helma.main.*

helma.main.Server
Modifier and Type
Constant Field
Value
`public static final String`
`buildDate`
`"1 Mar 2025"`
`public static final String`
`commitHash`
`"d9d3c9b8"`
`public static final String`
`version`
`"25.3.1"`

## helma.objectmodel.*

helma.objectmodel.INodeState
Modifier and Type
Constant Field
Value
`public static final int`
`CLEAN`
`0`
`public static final int`
`DELETED`
`3`
`public static final int`
`INVALID`
`-1`
`public static final int`
`MODIFIED`
`2`
`public static final int`
`NEW`
`1`
`public static final int`
`TRANSIENT`
`-3`
`public static final int`
`VIRTUAL`
`-2`
helma.objectmodel.IProperty
Modifier and Type
Constant Field
Value
`public static final int`
`BOOLEAN`
`2`
`public static final int`
`DATE`
`3`
`public static final int`
`FLOAT`
`5`
`public static final int`
`INTEGER`
`4`
`public static final int`
`JAVAOBJECT`
`7`
`public static final int`
`NODE`
`6`
`public static final int`
`STRING`
`1`
helma.objectmodel.ITransaction
Modifier and Type
Constant Field
Value
`public static final int`
`ADDED`
`0`
`public static final int`
`DELETED`
`2`
`public static final int`
`UPDATED`
`1`
helma.objectmodel.NodeEvent
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_CHANGED`
`0`
`public static final int`
`NODE_REMOVED`
`2`
`public static final int`
`NODE_RENAMED`
`3`
`public static final int`
`PROPERTIES_CHANGED`
`1`
`public static final int`
`SUBNODE_ADDED`
`4`
`public static final int`
`SUBNODE_REMOVED`
`5`

helma.objectmodel.db.Relation
Modifier and Type
Constant Field
Value
`public static final String`
`AND`
`" AND "`
`public static final int`
`COLLECTION`
`2`
`public static final int`
`COMPLEX_REFERENCE`
`3`
`public static final int`
`INVALID`
`-1`
`public static final String`
`OR`
`" OR "`
`public static final int`
`PRIMITIVE`
`0`
`public static final int`
`REFERENCE`
`1`
`public static final String`
`XOR`
`" XOR "`

helma.objectmodel.dom.XmlConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DATEFORMAT`
`"dd.MM.yyyy HH:mm:ss z"`
`public static final String`
`NAMESPACE`
`"http://www.helma.org/docs/guide/features/database"`

## helma.scripting.*

helma.scripting.ScriptingEngine
Modifier and Type
Constant Field
Value
`public static final int`
`ARGS_WRAP_DEFAULT`
`1`
`public static final int`
`ARGS_WRAP_NONE`
`0`
`public static final int`
`ARGS_WRAP_XMLRPC`
`2`

helma.scripting.rhino.extensions.MailObject
Modifier and Type
Constant Field
Value
`public static final int`
`BCC`
`22`
`public static final int`
`CC`
`21`
`public static final int`
`FROM`
`23`
`public static final int`
`MIMEPART`
`12`
`public static final int`
`OK`
`0`
`public static final int`
`REPLYTO`
`24`
`public static final int`
`SEND`
`30`
`public static final int`
`SUBJECT`
`10`
`public static final int`
`TEXT`
`11`
`public static final int`
`TO`
`20`

## helma.util.*

helma.util.Logger
Modifier and Type
Constant Field
Value
`public static final int`
`DEBUG`
`2`
`public static final int`
`ERROR`
`5`
`public static final int`
`FATAL`
`6`
`public static final int`
`INFO`
`3`
`public static final int`
`TRACE`
`1`
`public static final int`
`WARN`
`4`